Bug 517410 - Review Request: django-piston - A mini-framework for Django for creating RESTful APIs
Summary: Review Request: django-piston - A mini-framework for Django for creating REST...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Allisson Azevedo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 19:20 UTC by Diego Búrigo Zacarão
Modified: 2009-09-03 23:19 UTC (History)
3 users (show)

Fixed In Version: 0.2.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-15 08:17:43 UTC
allisson: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Diego Búrigo Zacarão 2009-08-13 19:20:58 UTC
Spec URL: http://diegobz.fedorapeople.org/packages/django-piston/django-piston.spec
SRPM URL: http://diegobz.fedorapeople.org/packages/django-piston/django-piston-0.2.2-1.fc11.src.rpm

Description: 

Piston is a relatively small Django application that lets you
create application programming interfaces (API) for your sites.

This package is needed to suppress a dependency for the new Transifex 0.7-RC1.

Comment 1 Allisson Azevedo 2009-08-13 22:29:10 UTC
I'll make review soon as posible :)

Comment 2 Allisson Azevedo 2009-08-14 15:40:00 UTC
Well,

Good:

+ rpmlint silent
+ koji build OK
http://koji.fedoraproject.org/koji/taskinfo?taskID=1605267
+ package meets naming guidelines
+ package meets packaging guidelines
+ spec file legible, in am. english
+ source matches upstream
+ license (BSD) OK
+ no missing BR
+ no unnecessary BR
+ no locales
+ not relocatable
+ owns all directories that it creates
+ no duplicate files
+ permissions ok
+ %clean ok
+ macro use consistent

APPROVED

Comment 3 Diego Búrigo Zacarão 2009-08-14 15:51:54 UTC
Thanks, Allisson.

New Package CVS Request
=======================
Package Name: django-piston
Short Description: A mini-framework for Django for creating RESTful APIs
Owners: diegobz
Branches: F-10 F-11 EL-5

Comment 4 Jason Tibbitts 2009-08-14 16:21:09 UTC
CVS done.

Comment 5 Fedora Update System 2009-08-14 18:18:29 UTC
django-piston-0.2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/django-piston-0.2.2-1.el5

Comment 6 Fedora Update System 2009-08-14 18:18:34 UTC
django-piston-0.2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/django-piston-0.2.2-1.fc11

Comment 7 Fedora Update System 2009-08-15 08:17:38 UTC
django-piston-0.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-09-03 23:19:13 UTC
django-piston-0.2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.